# rpmcallback.h File Reference

`#include <rpm/rpmtypes.h>`

Include dependency graph for rpmcallback.h:

Go to the source code of this file.

## Typedefs
typedef enum rpmCallbackType_e | rpmCallbackType
| Bit(s) to identify progress callbacks.
typedef void *(* | rpmCallbackFunction )(const void *h, const rpmCallbackType what, const rpm_loff_t amount, const rpm_loff_t total, fnpyKey key, rpmCallbackData data)
## Enumerations
enum | rpmCallbackType_e { RPMCALLBACK_UNKNOWN = 0, RPMCALLBACK_INST_PROGRESS = (1 << 0), RPMCALLBACK_INST_START = (1 << 1), RPMCALLBACK_INST_OPEN_FILE = (1 << 2), RPMCALLBACK_INST_CLOSE_FILE = (1 << 3), RPMCALLBACK_TRANS_PROGRESS = (1 << 4), RPMCALLBACK_TRANS_START = (1 << 5), RPMCALLBACK_TRANS_STOP = (1 << 6), RPMCALLBACK_UNINST_PROGRESS = (1 << 7), RPMCALLBACK_UNINST_START = (1 << 8), RPMCALLBACK_UNINST_STOP = (1 << 9), RPMCALLBACK_REPACKAGE_PROGRESS = (1 << 10), RPMCALLBACK_REPACKAGE_START = (1 << 11), RPMCALLBACK_REPACKAGE_STOP = (1 << 12), RPMCALLBACK_UNPACK_ERROR = (1 << 13), RPMCALLBACK_CPIO_ERROR = (1 << 14), RPMCALLBACK_SCRIPT_ERROR = (1 << 15) }
| Bit(s) to identify progress callbacks. More...

## Typedef Documentation

typedef void*(* rpmCallbackFunction)(const void *h, const rpmCallbackType what, const rpm_loff_t amount, const rpm_loff_t total, fnpyKey key, rpmCallbackData data)

Definition at line 36 of file rpmcallback.h.

typedef enum rpmCallbackType_e rpmCallbackType

Bit(s) to identify progress callbacks.

## Enumeration Type Documentation

enum rpmCallbackType_e

Bit(s) to identify progress callbacks.

Enumerator:

  RPMCALLBACK_UNKNOWN |
  RPMCALLBACK_INST_PROGRESS |
  RPMCALLBACK_INST_START |
  RPMCALLBACK_INST_OPEN_FILE |
  RPMCALLBACK_INST_CLOSE_FILE |
  RPMCALLBACK_TRANS_PROGRESS |
  RPMCALLBACK_TRANS_START |
  RPMCALLBACK_TRANS_STOP |
  RPMCALLBACK_UNINST_PROGRESS |
  RPMCALLBACK_UNINST_START |
  RPMCALLBACK_UNINST_STOP |
  RPMCALLBACK_REPACKAGE_PROGRESS |
  RPMCALLBACK_REPACKAGE_START |
  RPMCALLBACK_REPACKAGE_STOP |
  RPMCALLBACK_UNPACK_ERROR |
  RPMCALLBACK_CPIO_ERROR |
  RPMCALLBACK_SCRIPT_ERROR |

Definition at line 13 of file rpmcallback.h.